Page MenuHomePhabricator

add user setting for disabling Wikispeech
Closed, ResolvedPublic

Description

Per feedback in T180021 there should be a user setting to disable/enable Wikispeech.

Together with the user config we also need a global config for whether Wikispeech is enabled globally. [Or better a list of which user groups its enabled for]

This is also a good opportunity to add functionality for disabling Wikispeech when we are not in read mode (try Wikispeech in the history tab for a motivation). In the future we might want to read this content in some other way but for now disabling it is probably best.

Details

Related Gerrit Patches:
mediawiki/extensions/Wikispeech : masterUpdate extension data for 13787aa
mediawiki/extensions/Wikispeech : masterAdd user setting for disabling Wikispeech
mediawiki/extensions/Wikispeech : masterAdd user setting for disabling Wikispeech

Event Timeline

Lokal_Profil updated the task description. (Show Details)Apr 25 2018, 3:03 PM

VisualEditorHooks.php#L235 is probably a good starting point.

Lokal_Profil updated the task description. (Show Details)May 2 2018, 5:15 PM

My idea for this whould be that once it is deployed in a wiki it should have an opt-out system in the gadgets bar, as this is an idea that will be used by people with diverse functionalities, opt-in wouldn't be the best idea. Also it should only work at first in main namespace, for doing things easier.

Also it should only work at first in main namespace, for doing things easier.

This is implemented by the WikispeechNamespaces variable. By default, it's only enabled for the main namespace.

Change 439846 had a related patch set uploaded (by Elhuyar Fundazioa; owner: Elhuyar Fundazioa):
[mediawiki/extensions/Wikispeech@master] Add user setting for disabling Wikispeech

https://gerrit.wikimedia.org/r/439846

Change 458471 had a related patch set uploaded (by Elhuyar Fundazioa; owner: Elhuyar Fundazioa):
[mediawiki/extensions/Wikispeech@master] Add user setting for disabling Wikispeech

https://gerrit.wikimedia.org/r/458471

Change 439846 abandoned by Elhuyar Fundazioa:
Add user setting for disabling Wikispeech

https://gerrit.wikimedia.org/r/439846

Change 458471 merged by jenkins-bot:
[mediawiki/extensions/Wikispeech@master] Add user setting for disabling Wikispeech

https://gerrit.wikimedia.org/r/458471

Change 468582 had a related patch set uploaded (by Sebastian Berlin (WMSE); owner: Sebastian Berlin (WMSE)):
[mediawiki/extensions/Wikispeech@master] Update extension data for 13787aa

https://gerrit.wikimedia.org/r/468582

Change 468582 merged by jenkins-bot:
[mediawiki/extensions/Wikispeech@master] Update extension data for 13787aa

https://gerrit.wikimedia.org/r/468582

Mentioned in SAL (#wikimedia-cloud) [2018-10-23T11:49:07Z] <sebastian-wmse> Deploy latest from Git master: 13787aa (T192683), fc44dd4, 15214e8 (T192683)

Mentioned in SAL (#wikimedia-cloud) [2018-10-23T11:49:07Z] <sebastian-wmse> Deploy latest from Git master: 13787aa (T192683), fc44dd4, 15214e8 (T192683)

Lokal_Profil moved this task from Review to Done on the User-LokalProfil board.Oct 23 2018, 9:41 PM
Jopparn closed this task as Resolved.Oct 29 2018, 9:39 AM
Jopparn claimed this task.